/*
 *   SIMPLL - A tool for PLL syntesizer loop filter optimization 
 *
 *      (c) by Lapo Pieri IK5NAX  2006
 *
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *  Send bugs reports, comments, critique, etc, to (ik5nax #AT# amsat.org) or
 *  (lapo_pieri #AT# virgilio.it)
 */

/* Circuito di base senza il filtro d'anello */
/* DAFARE: mettere dei parametri anche sulle frequenze di analisi (attualmente
   1Hz - 1MHz */
char bco[]=""
"\n"
"gpd	2 0 5 0	%lf\n"
"xlf	2 3 loopflt\n"
"gvco	4 0 3 0 %lf\n"
"cvco	4 0	1.\n"
"eN	1 0 4 0	%lf\n"
"\n"
"vtest	5 0	dc 0 ac 1\n"
"\n"
"rdummy1 5 0	10G\n"
"rdummy2 1 0	10G\n"
"rdummy3 3 0	10G\n"
"rdummy4 4 0	10G\n"
"rdummy5 2 0	10G\n"
"\n"
".print ac vdb(1) vp(1)\n"
".ac dec 41 %lf %lf basic\n"
".end\n"
"";

char bcc[]=""
"\n"
"gpd	2 0 5 1	%lf\n"
"xlf	2 3 loopflt\n"
"gvco	4 0 3 0 %lf\n"
"cvco	4 0	1.\n"
"eN	1 0 4 0	%lf\n"
"\n"
"vtest	1 0	dc 0 ac 1\n"
"\n"
"rdummy1 5 0	10G\n"
"rdummy2 1 0	10G\n"
"rdummy3 3 0	10G\n"
"rdummy4 4 0	10G\n"
"rdummy5 2 0	10G\n"
"\n"
".print ac vdb(4) vp(4)\n"
".ac dec 41 %lf %lf basic\n"
".end\n"
"";

/* Questo commento in effetti serve anche per ritrovare l'inizio della
   tabella dei valori prodotti dallo gnucap */
char __comment_o[]="--------------------------------------------------------------------------------";
char __comment_c[]="# Simulatore PLL (anello chiuso)";


char cmdgpt[]=""
"set grid\n"
"set logscale x 10\n"
"plot '%s' using 1:2 title \"close loop mod\" w l\n"
"";


char __atm[]="---------------- #";
